
%global meadversion 2.0.1
%global namedversion 2.0.1.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package atinject}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.0.1.redhat-00001

Name:           %{?scl_prefix}atinject
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jakarta Dependency Injection
Group:          Development/Java

%if %with mead
Source100: jakarta.inject-api-2.0.1.redhat-00001-project-sources.tar.gz
Source102: jakarta.inject-api-2.0.1.redhat-00001.pom
Source103: jakarta.inject-api-2.0.1.redhat-00001-sources.jar
Source104: jakarta.inject-api-2.0.1.redhat-00001.jar
Source105: jakarta.inject-api-2.0.1.redhat-00001-javadoc.jar
%endif

License:        ASL 2.0
URL:            https://github.com/eclipse-ee4j/injection-api
Provides:       %{?scl_prefix}javax.inject = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Jakarta Dependency Injection.

%if %with javadoc
%package javadoc
Summary:        Javadoc for atinject
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jakarta.inject-api-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jakarta.inject-api-%{namedversion}.jar %{buildroot}%{_javadir}/jakarta.inject-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jakarta.inject-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jakarta.inject-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jakarta.inject-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jakarta.inject-api-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jakarta.inject-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jakarta.inject-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jakarta.inject-api-%{namedversion} -x META-INF/\*
%{__ln_s} jakarta.inject-api-%{namedversion} %{buildroot}%{_javadocdir}/jakarta.inject-api
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt NOTICE.md CONTRIBUTING.md
%{_javadir}/jakarta.inject-api-%{namedversion}.jar
%{_javadir}/jakarta.inject-api.jar
%if %with javadoc
%{_javadir}/jakarta.inject-api-%{namedversion}-javadoc.jar
%{_javadir}/jakarta.inject-api-javadoc.jar
%endif
%{_javadir}/jakarta.inject-api-%{namedversion}-sources.jar
%{_javadir}/jakarta.inject-api-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jakarta.inject-api-%{namedversion}
%{_javadocdir}/jakarta.inject-api
%endif

%changelog
* Thu Oct 13 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.0.1-1.redhat_00001.1
- Built by CPaaS

* Tue May 31 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.0.5-1.redhat_00002.1
Built by CPaaS



* Thu May 26 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.0.3-6.redhat_00001.1
Built by CPaaS



* Tue Dec 15 2020 Yong Yang <yyang@redhat.com> - 1.0.3-1.redhat_00001.1
- RPM wrapper build 1.0.3.redhat-00001

* Mon Aug 03 2020 Yong Yang <yyang@redhat.com> - 1.0.1-1.redhat_00001.1
-  1.0.1.redhat-00001 

* Thu Oct 17 2019 Yong Yang <yyang@redhat.com> - 1.0.0-4.redhat_00002.1
- RPM wrapper build 1.0.0.redhat-00002

* Fri Jul 06 2018 Yong Yang <yyang@redhat.com> - 1.0.0-3.redhat_6.1
- Rewrap for 7.2.0

* Fri Jun 12 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-2.redhat_6.1
- release

